PETSc version 3.15.5
Fix/Edit manual page

# KSPBCGSLSetPol

Sets the type of polynomial part will be used in the BiCGSTab(L) solver.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPBCGSLSetPol(KSP ksp, PetscBool uMROR)

Logically Collective on ksp

### Input Parameters

| ksp | - iterative context obtained from KSPCreate
| uMROR | - set to PETSC_TRUE when the polynomial is a convex combination of an MR and an OR step.

### Options Database Keys

| -ksp_bcgsl_cxpoly | - use enhanced polynomial
| -ksp_bcgsl_mrpoly | - use standard polynomial

### See Also

KSP, KSPBCGSL, KSPCreate(), KSPSetType()

### Level

intermediate

### Location

src/ksp/ksp/impls/bcgsl/bcgsl.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages